AddExtrusion

Adds a lightweight extrusion object to the document. Lightweight extrusion objects use less memory, mesh faster, and save smaller than the traditional polysurfaces. For more information on lightweight extrusions, see the Rhino help file.

Syntax

Rhino.AddExtrusion (strCurve, dblHeight, [, blnCap [, arrPlane]])

Parameters

strCurve

Required.  String.  The identifier of an existing curve object.

dblHeight

Required.  Number.  The height of the extrusion.  If height > 0, the bottom of the extrusion will be in plane and the top will be height units above the plane. If height < 0, the top of the extrusion will be in plane and the bottom will be height units below the plane.

blnCap

Optional.  Boolean.  If the curve is closed and blnCap is true, then the resulting extrusion is capped.  The default is not to cap (False).

arrPlane

Optional.  Array.  The extrusion plane. If omitted and strCurve is a planar curve, then the curve's plane is used as the extrusion plane.  If specified, strCurve will be projected to this plane and the results used as the profile curve.

Returns

String

The identifier of the new object if successful.

Null

If not successful, or on error.

Example

Dim strCurve

strCurve = Rhino.AddCircle(Array(0,0,0), 5.0)

Call Rhino.AddExtrusion(strCurve, 10.0, True)

Also See

AddBox

AddCylinder

AddSphere

AddTorus